Bug 493808 - cman and ipv6 don't always like each other
cman and ipv6 don't always like each other
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cman (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Christine Caulfield
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-03 04:08 EDT by Fabio Massimo Di Nitto
Modified: 2010-06-28 07:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:40:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio Massimo Di Nitto 2009-04-03 04:08:48 EDT
09:59 < fabbione> chrissie: i didn't have a lot of time to investigate, but this is the setup:
09:59 < fabbione> 2 nodes
10:00 < fabbione> node1: 3ffe::1/64
10:00 < fabbione> node4: 3ffe::4/64
10:00 < fabbione> no DNS entries
10:00 < fabbione>  /etc/hosts has:
10:00 < fabbione> 3ffe::1 node1 node1.int.fabbione.net
10:00 < fabbione> similar for 4
10:00 < fabbione> on both nodes of course
10:00 < fabbione> the real hostname is fedora-rh-nodeX
10:01 < fabbione> change cluster.conf to use node1 and node4 that only resolves in v6 via /etc/hosts
10:01 < fabbione> force cman to use multicast v6
10:01 < fabbione> that's the kaboom
10:01 < fabbione> cman crashes somewhere
10:01 < chrissie> can you file a BZ
10:02 < chrissie> I'll look at it next week.
10:02 < fabbione> this was STABLE3 btw...
10:02 < fabbione> yeah that's fine
10:02 < chrissie> thanks.
10:02  * chrissie is knee deep in RHEL4 at the moment
10:02 < fabbione> if i setup everything with matching hostnames and v4+v6 then it works fine
10:02 < fabbione> + dns
Comment 1 Christine Caulfield 2009-04-06 06:18:10 EDT
Fixed.

cman didn't look at IPv6 addresses bound to interfaces when looking for names that match cluster.conf entries.

To ssh://git.fedorahosted.org/git/cluster.git
   db80c18..abc0928  STABLE3 -> STABLE3
Comment 2 Bug Zapper 2009-06-09 09:11:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 09:28:18 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 07:40:32 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.